
Infrastructure - Task #2270

Story # 2067 (Closed): Refactor the index task generator and processor to improve scalability and performance

Restrict access to solr update to localhost

2012-01-31 14:57 - Skye Roseboom

Status: Closed Start date: 2012-01-31

Priority: Normal Due date:  

Assignee: Skye Roseboom % Done: 100%

Category: d1_indexer Estimated time: 0.00 hour

Target version: Sprint-2012.05-Block.1.3   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

Restrict sole's update url from being invoked - except by requests originating from localhost.   To restrict update/delete of index data.

History

#1 - 2012-01-31 14:59 - Skye Roseboom

- Target version changed from Sprint-2012.03-Block.1.2 to Sprint-2012.05-Block.1.3

#2 - 2012-01-31 15:01 - Skye Roseboom

- Status changed from New to In Progress

updating solr_mod.jk in dataone-solr buildout to restrict.

CN indexing component will connect to tomcat/solr through localhost, not through apache/mod_jk.

Just need to coordinate what if any solr endpoints to expose through mod_jk.

#3 - 2012-02-02 23:17 - Skye Roseboom

- Status changed from In Progress to Closed

Updated solr's mod_jk configuration to only expose select endpoint for both solr cores through apache.  

CN components can connect to solr through tomcats localhost http port for solr communication.
